<!--
    Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)
    
    SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import { handleModeEnum } from '@/enums/enums';
import { useDashboardStore } from '@/stores/dashboard';
import FolderNavItem from '@/components/account/FolderNavItem.vue';
import { storeToRefs } from 'pinia';
import Button from '@/components/general/Button.vue';
import { useRouter } from 'vue-router';
import { useAccountStore } from '@/stores/account';

const props = defineProps<{
    dark?: boolean
}>();

const router = useRouter();
const store = useDashboardStore();
const accountStore = useAccountStore();
const { folders, currentFolder, handleMode } = storeToRefs(store);
const { canUseAI } = storeToRefs(accountStore);

const goToHome = ()=>{
    currentFolder.value = "";
}

const goToFavorites = ()=>{
    currentFolder.value = "favorites";
}

const showFolderModal = (value:boolean)=>{
    if(value)
        handleMode.value = handleModeEnum.ADD;
    else
        handleMode.value = handleModeEnum.NONE;
}

const handleGoToChat = ()=>{
    router.push({path: '/overview/chat'});
}
</script>
<template>
    <ul class="mt-5 text-gray-500 uppercase break-word px-5 flex flex-col gap-1">
        <div class="mb-4" v-if="canUseAI"><Button variant="confirm" size="small" @click="handleGoToChat"><div class="flex flex-row gap-2 leading-7 justify-center"><i class="ri-robot-2-line text-[16px] -mt-px"></i><span class="mt-px">{{ $t('dashboardPage.ai.label') }}</span></div></Button></div>
        <Button :variant="currentFolder==='favorites'?'confirm':dark?'invert':'default-dark'" size="small"
            @click="goToFavorites">
            <div class="flex flex-row gap-2 leading-7"><i class="ri-star-line text-[16px]"></i><span class="mt-px">{{
                    $t("dashboardPage.favorites.label") }}</span></div>
        </Button>
        <div class="border-b-2 border-gray-300"></div>
        <Button :variant="currentFolder===''?'confirm':dark?'invert':'default-dark'" size="small" @click="goToHome">
            <div class="flex flex-row gap-2 leading-7"><i class="ri-global-line text-[16px]"></i><span class="mt-px">{{
                    $t("dashboardPage.types.my") }} {{ $t("general.variables.pane.pl") }}</span></div>
        </Button>
        <div class="border-b-2 border-gray-300"></div>
        <FolderNavItem :key="index" :color="folder.color" :name="folder.name" :subfolder="folder.subfolders"
            :id="folder.id" v-for="folder,index in folders" :dark="dark" />
        <div class="border-b-2 border-gray-300" v-if="folders && folders.length>0"></div>
        <Button variant="cancel" size="small" @click="showFolderModal(true)">{{ $t("dashboardPage.folder.add")
            }}</Button>
    </ul>
</template>